#include <stdio.h>
#include <string.h>

int main()
{
    char cmd[32] = "";
    printf("请输入一个命令：");
    // scanf() 输入字符串是，遇到第一个空格就停止输入
    // scanf("%s", cmd); // cmd 数组传递的是地址, 不需要加 & 取地址符

    fgets(cmd, sizeof(cmd), stdin); // 读取一行字符串，遇到回车就停止输入
    // fgets() 获取的字符最后一个是 '\n' 换行符
    cmd[strlen(cmd) - 1] = 0; // 将最后一个字符 '\n' 换成 '\0' 空字符

    // printf("%s \n", cmd);
    // for (int i = 0; i < 32; i++)
    printf("%s, %ld\n", cmd, strlen(cmd));
    printf("\n");
    return 0;
}